Subscription
Retrieve subscription
定期課金情報を取得します。
AuthorizationBearer <token>
API呼出すの認証は、秘密鍵を認証トークンとして扱い、Bearer 認証経由で行われます。 秘密鍵は、全ての API リクエスト操作が可能となる重要なキーなので、取扱いにご注意ください。
In: header
Path Parameters
subscriptionId*string
Subscription ID
Response Body
application/json;charset=utf-8
curl -X GET "https://api.elepay.io/subscriptions/string"{
"id": "string",
"appId": "string",
"object": "subscription",
"liveMode": true,
"customerId": "string",
"customer": {
"id": "string",
"object": "customer",
"liveMode": true,
"defaultSource": "string",
"name": "string",
"description": "string",
"email": "string",
"phone": "string",
"remark": "string",
"operator": "string",
"status": "active",
"metadata": {
"property1": "string",
"property2": "string"
},
"updateTime": 0
},
"nextChargeTime": 0,
"isCharging": true,
"chargedPeriods": 0,
"metadata": {
"property1": "string",
"property2": "string"
},
"status": "new",
"createTime": 0,
"updateTime": 0
}